/* Defualt */


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    scroll-behavior: smooth;
    text-decoration: none;
    font-family: 'Poppins', sans-serif;
}

:root{
    --text-primary:white;
}

html{
  font-size: 62.5%;
  overflow-x: hidden;
}

body{
    
    /* background: url(media/background.jpg) no-repeat center / cover; */
    padding: 50px 5% 0px 5%;
    overflow-x: hidden;
}

body::before {
    content: "";
    position: fixed;
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    background: url(media/background.jpg) no-repeat center center / cover; 
    z-index: -1;
}

.container{
    width: 100%;
    background:rgba(255, 255,255, 0.1);
    position: relative;
    border-radius: 30px;
    backdrop-filter: blur(30px);
    z-index: 0;
    overflow-x: hidden;
}

/* navbar */

header{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000; 
    padding: 1.5rem 5%;
    background-color: rgba(255,255,255,0.2);
    border-radius: 30px;
}


nav ul{
    display: flex;
    justify-content: space-around;
    list-style: none;
}

nav ul li a{
    margin: 2.2rem;
    font-size: 2rem;
    color: var(--text-primary);
    cursor: pointer;
    font-weight: 700;
    transition: 0.5s;
}

nav ul li a:hover,
nav ul li a.active{
    border-bottom: 2px solid var(--text-primary);
    text-shadow: 0px 0px 10px var(--text-primary);
}

.logo{
    margin-left: 1rem;
}

.logo a{
    font-size: 3rem;
    font-weight: 900;
    color: white;
}

.logo img{
    position: relative;
    top: 1.2rem;
    border-radius: 100%;
}

.logo a:hover{
   text-shadow: 0 0 10px var(--text-primary);
}

#menu-close{
    margin-right: 1rem;
    font-size: 3rem;
    color: var(--text-primary);
    cursor: pointer;
    display: none;
    
}

/* Main section */

.main{
    height: 100vh;
    /* border: 1px solid red; */
    display: flex;
    
}

.content1{
    display: flex;
    margin-left: 5%;
    margin-top: 10%;
    flex-direction: column;
    gap: 2rem;
    width: 50%;
    height: 100%;
}

.content1 h1{
    font-size: 6rem;
    color: var(--text-primary);
}

.content1 h2{
    font-size: 4rem;
    color: red;
}

.content1 p{
    width: 100%;
    font-size: 1.8rem;
    color: var(--text-primary);
    letter-spacing: 2px;
}

.btn{
    width: 14rem;
    height: 4rem;
    font-size: 1.5rem;
    font-weight: 900;
    border-radius: 40px;
    cursor: pointer;
    box-shadow: 0px 0px 10px white;
    transition: 0.5s;
    color: black;
    background-color: var(--text-primary);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    transition: 0.7s;
}

.btn:hover{
    background-color: transparent;
    color: var(--text-primary);
    box-shadow: 0px 0px 10px var(--text-primary);
    
}

.quality{
    color: green;
}

.quantity{
    color: purple;
}


.blogs{
     height: 150vh;
    border: 1px solid purple;
}



.ft{
    background-color: rgb(60, 20, 147);
    width: 100vw;
    height: 7vh;
    position: absolute;
    left: 0px;
    right: 0px;
}

.ft h1{
    color: var(--text-primary);
    margin: 2rem 0 0 8rem;
}

.hero-image{
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    margin-top: 10%;
   
}

.image-section{
    background-color: green;
    height: 65%;
    width: 80%;
    clip-path: polygon(0% 0%, 100% 0%, 50% 100%);

}

.image-section img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.social-icons{
    display: flex;
    gap: 2rem;
    cursor: pointer;
    font-size: 2.2rem;
    justify-content: space-between;
    margin-top: 10px; 
    
}


.downcontain{
    display: flex;
    justify-content: space-between;
    width: 650px;
    padding-right: 20rem;
}

.social-icons i{
    border: 1px solid var(--text-primary);
    border-radius: 50%;
    color: var(--text-primary);
    padding: 6px;
    transition: 0.7s;
} 


.social-icons i:hover{
    text-shadow: 0 0 10px var(--text-primary);
    border: 1px solid var(--text-primary);
    color: black;
    background-color: var(--text-primary);
}






/* ABOUT SECTION */

  .about{
    position: relative;
    height: 120vh;
    /*border: 1px solid blue; */

   
} 

 .content2 h1{
    font-size: 5rem;
    color: var(--text-primary);
   
}

.content2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-top: 10vh;
    text-align: center;
    gap: 10rem;
   
}


.logo2 img {
    width: 200px;
    height: auto;
    border-radius: 50%;
}

.abline{
    background-color: var(--text-primary);
    width: 1px;
    height: 7rem;
    position: absolute;
    top: 43.4rem;
}
.abdwline{
    width: 120rem;
    height: 1px;
    background-color: var(--text-primary);
    position: absolute;
    top: 50.4rem;
}
.cols{
    background-color: var(--text-primary);
    height: 12.2rem;
    width: 1px;
}
.colss{
    position: absolute;
    top: 50.4rem;
    display: flex;
    justify-content: space-between;
    width: 120rem;
}

.cols p{
    position: relative;
    top: 10rem;
    border: 1px solid var(--text-primary);
    width: 35rem;
    height: 35rem;
    left: -17.5rem;
    color: var(--text-primary);
    font-size: 1.8rem;
    text-align: justify;
    padding: 2rem;
    letter-spacing: 1px;
    opacity: 50%;
    cursor: pointer;
    transition: 0.5s;
}

.cols h1{
    font-size: 2rem;
    position: relative;
    top: -3rem;
    width: 10rem;
    left: -5rem;
}

.cols p:hover{
    box-shadow: 0 0 24px var(--text-primary);
    text-shadow: 0 0 24px var(--text-primary);
    opacity: 100%;
}  




/* Portfolio Section */

.portfolio{
    /* height: 160vh; */
    height: 190vh;
    /* border: 1px solid green; */
}

.content3{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 7rem;
    flex-direction: column;
    gap: 4rem;
    /* height: 100%; */
    height: 170vh;
}

.content3 h1{
    color: var(--text-primary);
    font-size: 5rem;
}

.wrapper{
    width: 80%;
    margin: 3rem auto 3rem auto;
    display: flex;
    justify-content: space-between;
}

.card{
    width: 4%;
    height: 80vh;
    border-radius: 50px;
    background-size: cover;
    /* background-position: center; */ /* remove if full image is not visible */
    cursor: pointer;
    transition: 0.6s;
    border: 3px solid rgba(255, 255, 255, 0.2);
    overflow-x: hidden;
    position: relative;
    overflow: hidden;
}

.card h3{
    position: absolute;
    bottom: 3rem;
    left: 4rem;
    font-size: 2rem;
    opacity: 0;
    color: var(--text-primary);
    letter-spacing: 3px;
    word-spacing: 5px;
}

.cactive{
    width: 80%;
}

.cactive h3{
    opacity: 1;
    transition: 0.7s ease-in;
}

.card img{
    width: 100%;
    height: 100%;
    
}



.dchild{
    width: 100%;
    flex:1;
    display: flex;
   /*  background-color: #452C79; */
    box-shadow: 0px 0px 10px #452C79;
    align-items: center;
    flex-direction: column;
    margin-bottom: 1rem;
    margin-top: 10vh;
    
}

.pchild1{
     width: 33.33%;
     height: 100%;
     border: 1px solid black;
    
}

.pchild2{
   width: 33.33%;
     height: 100%;
     border: 1px solid black;
}

.pchild3{
   width: 33.33%;
     height: 100%;
     background-color: rgb(127, 38, 128);
}

/* Temporary */
.dchild h1{
    font-size: 4rem;
    margin-top: 2rem;

}

.dchild ul li{
    font-size: 2rem;
    margin-top: 2rem;
    list-style-type: none;
    width: 19rem;
    height: 19rem;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.5s;
    background-color: #B44DD6;
    color: var(--text-primary);
    font-weight: 600;
}


.dchild ul li:hover{
    box-shadow: 0 0 24px var(--text-primary);
    text-shadow: 0 0 24px var(--text-primary);
}
   


.dchild ul{
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    margin-top: 10rem;
}

/* Mobile carousel hidden on desktop */


.mobile-carousel {
  display: none; 
  position: relative;
  overflow: hidden;
}
.mobile-carousel .carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
}
.mobile-carousel .carousel-item {
  min-width: 100%;
  background: #f2f2f2;
  padding: 20px;
  text-align: center;
}
.carousel-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.5);
  border: none;
  font-size: 24px;
  padding: 100px 10px;
  cursor: pointer;
  opacity: 0;
  transition: opacity 0.3s ease-in-out
}
.carousel-btn.prev { left: 10px; }
.carousel-btn.next { right: 10px; }

.carousel-item {
    width: 100%; 
    height: 50vh; 
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: transparent;
}

.mobile-carousel:hover .carousel-btn {
  opacity: 1;
}


.carousel-item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel-item h3{
    color: var(--text-primary);
    font-size: 1.5rem;
    opacity: 1;
    transition: 0.7s ease-in;
    position: absolute;
    bottom: 3rem;
    margin-left: 2rem;
}










/* Services Section */

.services{
     height: 150vh;
     /* border: 1px solid black; */
}

.content4{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
}

.wrapper2{
    width: 90%;
    height: 60%;
    margin: 3rem auto 3rem auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 2rem;

}

.content4 h1{
    color: var(--text-primary);
    font-size: 5rem;
    margin-bottom: 15rem;
}

.card1{
    background-color: white;
    width: 30rem;
    height: 35rem;
    justify-self: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
   /*  box-shadow: 8px 0 20px black; */
   box-shadow: 8px 4px 20px black;
}

.servic1{
    width: 100%;
    height: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}


.servic1 img{
    width: 100px;
    height: 100px;
    object-fit: cover;
}


.card1 h3{
    color: black;
    font-size: 2rem;
   
}

.card1 p{
    color: black;
    font-size: 1.5rem;
    text-align: center;
    margin-top: 0.5rem;
    font-weight: 500;
}

.card1 button{
    width: 10rem;
    height: 3rem;
    background-color: black;
    color: white;
    border-radius: 10px;
    border: none;
    margin-top: 2rem;
    cursor: pointer;
}


.card1:hover{
    transform: scale(1.05);
    transition: 0.5s ease-in;
}


/* Contact Section */

.contact{
    height: 120vh;
    /* border: 1px solid violet; */
}

.content6{
   width: 100%;
   height: 100%;
   display: flex;
   flex-direction: column;
   align-items: center;

}

.content6 h2{
    font-size: 5rem;
    color: var(--text-primary);
    margin-bottom: 17rem;
    margin-top: 5rem;
}

 .form1{
    width: 60%;
    height: 40%;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    border-radius: 8px;
    background: transparent;
  }

.top-container {
    display: flex;
    gap: 3rem;
    margin-bottom: 15px;
  }

.left-div, .right-div {
    flex: 1; /* half width each */
    display: flex;
    flex-direction: column;
    gap: 30px;
    height: 80%;
  }

.left-div label, .right-div label{
   font-weight: 600;
   margin-bottom: 5px;
   font-size: 1.5rem;
}

.left-div input, .right-div input{
    padding: 10px 15px;  
    font-size: 2rem;
    border-radius: 5px;
    height: 50px;
    background: transparent;
    box-shadow: 0px 0px 10px var(--text-primary);
    color: var(--text-primary);
}
.form1 textarea {
    margin-top: 15px;
    width: 100%;
    height: 50%;   
    padding: 10px;
    font-size: 1.7rem;
    border-radius: 5px;
    resize: none;
    background: transparent;
    box-shadow: 0px 0px 10px var(--text-primary);
    color: var(--text-primary);
}
.form1 button {
    padding: 16px 30px; 
    font-size: 1.1rem;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: background 0.3s ease;
    display: block;
    margin: 15px auto 0 auto;
}
.form1 button:hover {
    background: #0056b3;
    
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s;
  -webkit-text-fill-color: var(--text-primary) !important;
}

.form1 input::placeholder,
.form1 textarea::placeholder,
.form1 input::-webkit-input-placeholder,
.form1 textarea::-webkit-input-placeholder,
.form1 input::-moz-placeholder,
.form1 textarea::-moz-placeholder,
.form1 input:-ms-input-placeholder,
.form1 textarea:-ms-input-placeholder {
  color: var(--text-primary);
  opacity: 0.1;
}



.form1 input::placeholder {
  color:var(--text-primary);
}